Configs
List Deployment Configs
Retrieve a paginated list of deployment configurations for your project.
GET
Permission Required:
project:view-configsdeployment_config_id values for
Start a Run and
Start Test Plan Run.
Query Parameters
Page number (0-indexed)
Results per page (1-100)
Response
Array of deployment config objects
Pagination metadata (
page, page_size, total_count, total_pages)DeploymentConfig Object
Deployment config ID (use as
deployment_config_id when starting runs)Deployment config name
Optional description
Platform kind (e.g.
windows, macos, linux, android, ios,
xbox, playstation)Whether the config is pinned
Underlying build provider (e.g.
build-storage, direct-url), or null if
unknownAuthorizations
API key for authentication
Path Parameters
The project ID. You can copy it from the project settings page or the project URL in the dashboard.
Query Parameters
Page number (0-indexed)
Results per page (1-100)
Required range:
1 <= x <= 100